# react-simple-popup

A simple popup component for React.

# Installation

`$ npm install react-simple-popup --save`

# Usage

```js
import Popup from 'react-simple-popup'
```

```html
<Popup visible={this.state.visible} width="40" height="30">
  // Enter Children Here
</Popup>
```

# Properties

_Note: Other properties will be passed down to underlying component._

| Prop           | Description                       | Default |
| -------------- | --------------------------------- | ------- |
| **`visible`**  | The popup is visible (popped up). | boolean |
| **`width`**    | Width of the window.              | number  |
| **`height`**   | Height of the window.             | number  |
| **`style`**    | Additional styling.               | object  |
| **`children`** | Elements within the popup window. | object  |
